maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mark Derricutt" <m...@talios.com>
Subject Re: [VOTE] Release Maven 3.2.5
Date Tue, 16 Dec 2014 20:42:37 GMT
On 16 Dec 2014, at 2:38, Jason van Zyl wrote:

> At first glance that does not look like a valid OSGi version:
>
> http://www.osgi.org/javadoc/r4v43/core/org/osgi/framework/Version.html
>
> In Tycho something like:
>
> 1.0-SNAPSHOT in the POM and 1.0.qualifier in the MANIFEST.MF would turn into something
like:
>
> 1.0.497f8c4709bea5e3656572cf527777462c1b259c
>
> But I'm not sure how you're getting that qualifier or what your versions are like. If
the project is somewhere we can look at I'm sure Igor/Jan can point out what's wrong if there
is anything.

This was trying to build https://github.com/mulesoft/raml-for-jax-rs/

That qualify is due to the script I mentioned I was running, which takes the current git commit
SHA1 and replaces the -SNAPSHOT with it - for a staging release.

Mark

-- 
Mark Derricutt
http://www.theoryinpractice.net
http://plus.google.com/+MarkDerricutt
http://twitter.com/talios
http://facebook.com/mderricutt

Mime
View raw message